package imm.se.vending.test;

import imm.se.vending.model.Fruit;
import imm.se.vending.model.VendingMachine;

import junit.framework.TestCase;

public class TestVending extends TestCase {

    public void testInputDataSetA() {
        VendingMachine m = new VendingMachine(10, 10);
        m.input(1);
        m.input(2);
        assertEquals(3, m.getCurrentMoney());
        m.selectFruit(Fruit.APPLE);
        assertEquals(Fruit.APPLE, m.getDispensedItem());
    }

    public void testInputDataSetB() {
        VendingMachine m = new VendingMachine(10, 10);
        m.selectFruit(Fruit.APPLE);
        m.input(1);
        m.input(2);
        assertEquals(0, m.getCurrentMoney());
        assertEquals(Fruit.APPLE, m.getDispensedItem());
    }

    public void testInputDataSetC() {
        VendingMachine m = new VendingMachine(0, 0);
        m.input(1);
        m.input(2);
        assertEquals(3, m.getCurrentMoney());
        m.selectFruit(Fruit.APPLE);
        assertEquals(null, m.getDispensedItem());
        m.cancel();
        assertEquals(null, m.getDispensedItem());
        assertEquals(3, m.getRest());
    }

    public void testInputDataSetD() {
        VendingMachine m = new VendingMachine(0, 0);
        m.selectFruit(Fruit.APPLE);
        m.input(1);
        m.input(2);
        assertEquals(3, m.getCurrentMoney());
        m.cancel();
        assertEquals(null, m.getDispensedItem());
        assertEquals(3, m.getRest());
    }
}
